=== debian/changelog ===
plasma-widget-yawp (0.4.0-1) unstable; urgency=low

  The "Spring Cleaning" release.

  * New upstream release.
  * debian/compat: Raised to 9.
  * debian/patches:
    - remove_CPack_invocations.patch: Removed, CPack shouldn't get invoked
      automatically.
    - Fix_FTBFS_add-missing-include-dir.patch: Added to fix FTBFS due to
      missing include directory.
  * debian/control:
    - Bumped B-D on debhelper to >= 8.9.8.
    - Removed version requirements on kdelibs5-dev and pkg-kde-tools, required
      versions are in stable.
    - Removed now obsolete Breaks: and Replaces from plasma-widget-yawp
      (binary package).
    - Bumped Standards-Version to 3.9.2, no further changes required.
  * debian/rules:
    - Updated for debhelper 8.
    - Added "--parallel" to dh_auto_configure invocation.
  * debian/docs: Added new README.ion_accuweather.
  * debian/source.lintian-overrides: Added for the time being (ie. before dh 9
    is released).
  * debian/plasma-dataengines-yawp.install: Install satellite_map.conf for
    ion_accuweather.

 -- Kai Wasserbäch <curan@debian.org>  Mon, 14 Nov 2011 10:28:30 +0100
