## plasma-widget-yawp 0.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,23 +51,20 @@
 	${CMAKE_CURRENT_SOURCE_DIR}
 	)
 
-add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
-# add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9999 )
+ADD_DEFINITIONS(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
 
 ## enable or disable the src/logger/streamlogger.cpp log-system
 ## when disabling the logsystem, no debug output occurs
-IF( "${CMAKE_BUILD_TYPE}" STREQUAL "Debug" )
-  add_definitions( -DENABLE_DSTREAMLOGGER )
-ELSEIF( "${CMAKE_BUILD_TYPE}" STREQUAL "RelWithDebInfo" )
-  add_definitions( -DENABLE_DSTREAMLOGGER )
-ENDIF( "${CMAKE_BUILD_TYPE}" STREQUAL "Debug" )
-
-IF( NOT DEBUG_LOGLEVEL )
-	## Why there is no check of ${CMAKE_BUILD_TYPE}?
-	## This probably triggers logger dependency for CMAKE_BUILD_TYPE=Release 
-	SET(DEBUG_LOGLEVEL "Debug")
-ENDIF( NOT DEBUG_LOGLEVEL )
-
+IF( "${CMAKE_BUILD_TYPE}" STREQUAL "Debug" OR "${CMAKE_BUILD_TYPE}" STREQUAL "RelWithDebInfo" )
+	## Loglevel needs to be valid, when streamlogger_definitions.h will be build.
+	IF( NOT DEBUG_LOGLEVEL )
+		SET(DEBUG_LOGLEVEL "Debug")
+	ENDIF( NOT DEBUG_LOGLEVEL )
+
+	## enable logging and create header that contains the settings (loglevel and logfile)
+	ADD_DEFINITIONS( -DENABLE_DSTREAMLOGGER )
+	CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/logger/streamlogger_definitions.h.in ${CMAKE_BINARY_DIR}/logger/streamlogger_definitions.h)
+ENDIF( "${CMAKE_BUILD_TYPE}" STREQUAL "Debug" OR "${CMAKE_BUILD_TYPE}" STREQUAL "RelWithDebInfo" )
 
 # Choose the type of build.  Example: SET(CMAKE_BUILD_TYPE Debug) 
 MESSAGE( STATUS "CMAKE_BUILD_TYPE: " ${CMAKE_BUILD_TYPE} )
@@ -88,11 +85,10 @@
 ##	DEFINE THE PACKAGE VERSION AND NAME
 SET(MAJOR_VERSION 0)
 SET(MINOR_VERSION 4)
-SET(PATCH_VERSION 0)
+SET(PATCH_VERSION 1)
 SET(YAWP_NAME     "yaWP")
 
 configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
-# configure_file(logger/streamlogger_definitions.h.in ${CMAKE_CURRENT_BINARY_DIR}/streamlogger_definitions.h)
 macro_display_feature_log()
 
 ### Define some variables we need in subdires applet and ions
@@ -110,10 +106,8 @@
 	## So, if you know how to do it, please let me know.
 	add_subdirectory(logger)
 	add_subdirectory(unittest)
-ELSEIF( "${DEBUG_LOGLEVEL}" STREQUAL "Debug" )
-	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/logger/streamlogger_definitions.h.in
-	               ${CMAKE_BINARY_DIR}/logger/streamlogger_definitions.h)
 ENDIF( "${BUILD_UNITTESTS}" STREQUAL "YES" )
+
 ############################################################
 ##
 ##    Package Generator
@@ -144,7 +138,7 @@
   SET(CPACK_SOURCE_PACKAGE_FILE_NAME	${CMAKE_PROJECT_NAME}_${MAJOR_VERSION}.${MINOR_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}_source)
 
   ##	LIST EXECUTABLES
-  SET(CPACK_STRIP_FILES "lib//plasma_yawp.so;lib//ion_accuweather.so;lib//ion_google.so")
+  SET(CPACK_STRIP_FILES "lib//plasma_applet_yawp.so;lib//ion_accuweather.so;lib//ion_google.so;lib/ion_wunderground.so")
   SET(CPACK_COMPONENTS_ALL Libraries ApplicationData)
 
   ##	DEBIAN SPECIFIC SETTINGS
