=== unittest/CMakeLists.txt ===
--- 
+++ 
@@ -107,7 +107,6 @@
 #	../ions/ion_accuweather.cpp
 #	../ions/ion_google.cpp
 	../ions/ion_accuweather.cpp
-	../ions/accuweather_configloader.cpp
 	)
 
 kde4_add_executable(iontest		${iontest_SRCS} ${YAWP_RCCS_SRCS})
