=== debian/changelog ===
plasma-widget-yawp (0.4.1-1) unstable; urgency=low

  The "Lost in the Mist" release.

  * New upstream release.
  * debian/watch: Removed some default comments to fix
    debian-watch-contains-dh_make-template.
  * debian/patches/Fix_FTBFS_add-missing-include-dir.patch: Removed, fixed
    upstream.
  * debian/plasma-dataengines-yawp.install: Removed satellite_map.conf, it's
    gone again.
  * debian/docs: Removed README.ion_accuweather, gone alongside the
    satellite_map.conf.

 -- Kai Wasserbäch <curan@debian.org>  Mon, 05 Dec 2011 23:48:21 +0100
