## plasma-widget-yawp 0.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -85,7 +85,7 @@
 ##	DEFINE THE PACKAGE VERSION AND NAME
 SET(MAJOR_VERSION 0)
 SET(MINOR_VERSION 4)
-SET(PATCH_VERSION 1)
+SET(PATCH_VERSION 2)
 SET(YAWP_NAME     "yaWP")
 
 configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
