=== ions/CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,6 @@
 
 set(ion_accuweather_SRCS
 	ion_accuweather.cpp
-	accuweather_configloader.cpp
 	../logger/streamlogger.cpp
 	)
 
@@ -37,10 +36,6 @@
 target_link_libraries (ion_accuweather           ${weather_ion_libs})
 install(  TARGETS      ion_accuweather           DESTINATION    ${PLUGIN_INSTALL_DIR})
 install(  FILES        ${ACCUWEATHER_DESKTOP}    DESTINATION    ${SERVICES_INSTALL_DIR})
-install(  FILES        ${CMAKE_CURRENT_SOURCE_DIR}/../default_accuweather_satellite_map.conf
-	  DESTINATION  ${DATA_INSTALL_DIR}/ion_accuweather/
-	  RENAME       satellite_map.conf
-	  )
 
 set(ion_google_SRCS
 	ion_google.cpp
@@ -77,9 +72,3 @@
 	DESTINATION   ${YAWP_PACK_SERVICES_DIR}
 	COMPONENT     Libraries
 	)
-
-INSTALL(FILES         ${CMAKE_CURRENT_SOURCE_DIR}/../default_accuweather_satellite_map.conf
-	DESTINATION   ${YAWP_PACK_APPS_DIR}/ion_accuweather/
-	RENAME        satellite_map.conf
-	COMPONENT     Libraries
-	)
