=== unittest/CMakeLists.txt ===
--- 
+++ 
@@ -104,9 +104,9 @@
 #	../applet/utils.cpp
 #	../applet/yawpday.cpp
 #	../applet/yawpdefines.cpp
-#	../ions/ion_accuweather.cpp
+	../ions/ion_accuweather.cpp
 #	../ions/ion_google.cpp
-	../ions/ion_accuweather.cpp
+#	../ions/ion_wunderground.cpp
 	)
 
 kde4_add_executable(iontest		${iontest_SRCS} ${YAWP_RCCS_SRCS})
