=== debian/changelog ===
plasma-widget-yawp (0.4.2-1) unstable; urgency=low

  The "Crosswinds" release.

  * New upstream release.
  * debian/gbp.conf: Ensure signed tags.
  * debian/source.lintian-overrides: Dropped again, v9 was uploaded to
    unstable.

 -- Kai Wasserbäch <curan@debian.org>  Tue, 17 Jan 2012 23:48:16 +0100
