=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Kai Wasserbäch <curan@debian.org>
-Build-Depends: debhelper (>= 8.9.8), cmake, gettext, kdelibs5-dev, pkg-kde-tools,
+Build-Depends: debhelper (>= 9), cmake, gettext, kdelibs5-dev, pkg-kde-tools,
  kdebase-workspace-dev
 Standards-Version: 3.9.2
 Homepage: http://sourceforge.net/projects/yawp
@@ -11,7 +11,7 @@
 
 Package: plasma-widget-yawp
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, 
+Depends: ${shlibs:Depends}, ${misc:Depends},
  plasma-dataengines-yawp (= ${binary:Version})
 Suggests: plasma-dataengines-workspace, plasma-widget-yawp-dbg
 Description: Yet Another Weather Plasmoid fetches weather forecasts for you
